package com.hzya.frame.sys.userTemplateView.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 用户模板视图展示表
 * @tableName:   sys_user_template_view
 * @entityName:  UserTemplateView
 * @author: 	 llg
 * @history:	 1.0
 */
public class  UserTemplateView  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 模版id */
	private String templateId;
	/** 用户id */
	private String userId;
	/** 模版字段表id */
	private String templateFieldsId;
	/** 类型(查询 列表 新增 编辑） */
	private String templateViewType;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;
	private String serviceName;

	/** 模版id */
	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	/** 模版id */
	public String getTemplateId() {
		return templateId;
	}
	/** 用户id */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	/** 用户id */
	public String getUserId() {
		return userId;
	}
	/** 模版字段表id */
	public void setTemplateFieldsId(String templateFieldsId) {
		this.templateFieldsId = templateFieldsId;
	}
	/** 模版字段表id */
	public String getTemplateFieldsId() {
		return templateFieldsId;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}

	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}


	public String getTemplateViewType() {
		return templateViewType;
	}

	public void setTemplateViewType(String templateViewType) {
		this.templateViewType = templateViewType;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}





	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getSts() {
		return sts;
	}

	@Override
	public void setSts(String sts) {
		this.sts = sts;
	}

	@Override
	public String getSort() {
		return sort;
	}

	@Override
	public void setSort(String sort) {
		this.sort = sort;
	}

	@Override
	public String getOrder() {
		return order;
	}

	@Override
	public void setOrder(String order) {
		this.order = order;
	}
}
